import { registerDragonSupport } from '@lexical/dragon';
import { registerRichText } from '@lexical/rich-text';
import { mergeRegister } from '@lexical/utils';
import { useIsomorphicLayoutEffect } from '@selfcommunity/react-core';
export function useRichTextSetup(editor) {
    useIsomorphicLayoutEffect(() => {
        return mergeRegister(registerRichText(editor), registerDragonSupport(editor));
    }, [editor]);
}
